------------------------------------------------------------------------------------
--Name:  	BOSSfuben2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-03-23
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(45, 46)
CppScriptMgr:WaitMilSec(180)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 48, 49, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(490)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(48, 49)
player_0:SetDir(7)
CppScriptMgr:WaitMilSec(980)
local effect_2 = CppScriptMgr:AddEffect("Assassin", 45, 45, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(480)
local monster_0 = CppScriptMgr:AddPlayer(202, 45, 45, "", 0, 0)
monster_0:SetDir(7)
CppScriptMgr:WaitMilSec(270)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(470)
player_0:JumpTo(52, 52)
CppScriptMgr:WaitMilSec(450)
player_0:SetDir(3)
CppScriptMgr:WaitMilSec(520)
player_0:Say("Sneak attacking is not a good habit.", 1000)
CppScriptMgr:WaitMilSec(720)
local effect_1 = CppScriptMgr:AddEffect("BodyDisapear", 45, 45, 33, 1, 1, 1)
effect_1:Scale(3, 3, 3)
CppScriptMgr:WaitMilSec(420)
monster_0:SetHide(1)
CppScriptMgr:WaitMilSec(830)
CppScriptMgr:SetViewPosByCell(66, 65)
local effect_3 = CppScriptMgr:AddEffect("zf2-e233", 66, 65, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(760)
monster_0:SetHide(0)
monster_0:SetPos(66, 65)
CppScriptMgr:WaitMilSec(780)
monster_0:Say("Let`s fight fair and square!", 1000)
CppScriptMgr:WaitMilSec(1630)